
Foreman - Bug #11410

Unable to delete invalid interfaces from foreman

08/18/2015 05:07 PM - Jason Frisvold

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I had a few hosts that had overlapping interfaces listed in foreman.  Not sure how that happened, presumably on fact imports? 

Regardless, the interfaces were considered to be invalid according to foreman and should be corrected.  Easiest way would be to

delete them, but doing so resulted in nothing happening.  They re-appeared and changes were not saved.

I was able to resolve this, however.  If you change the interface and "correct" the invalid value (name of interface in my case) first,

then save, you can go back and delete it later.

Related issues:

Is duplicate of Foreman - Bug #11031: Cannot remove interface with duplicate ... Closed 07/07/2015

History

#1 - 08/19/2015 02:56 AM - Dominic Cleal

- Is duplicate of Bug #11031: Cannot remove interface with duplicate name added

#2 - 08/19/2015 02:57 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, the issue's being tracked under #11031 and linked tickets.
